Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema Class Reference

`#include <IPoints.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema:
[legend]

## Classes

class | Sample

## Public Types

typedef IPointsSchema | this_type
Public Types inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< PointsSchemaInfo >
typedef PointsSchemaInfo | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< PointsSchemaInfo >
typedef PointsSchemaInfo | info_type
typedef ISchema< PointsSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
typedef ICompoundProperty | this_type

## Public Member Functions

| IPointsSchema ()
| IPointsSchema (const ICompoundProperty &iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| IPointsSchema (const ICompoundProperty iProp, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| IPointsSchema (const IPointsSchema &iCopy)
| Copy constructor.
size_t | getNumSamples () const
| Default assignment operator used.
bool | isConstant () const
AbcA::TimeSamplingPtr | getTimeSampling () const
void | get (Sample &oSample, const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
Sample | getValue (const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
Abc::IP3fArrayProperty | getPositionsProperty () const
Abc::IV3fArrayProperty | getVelocitiesProperty () const
Abc::IUInt64ArrayProperty | getIdsProperty () const
IFloatGeomParam | getWidthsParam () const
void | reset ()
bool | valid () const
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (IPointsSchema::valid())
Public Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< PointsSchemaInfo >
| IGeomBaseSchema ()
void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
Abc::IBox3dProperty | getSelfBoundsProperty () const
Abc::IBox3dProperty | getChildBoundsProperty () const
ICompoundProperty | getArbGeomParams () const
ICompoundProperty | getUserProperties () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< PointsSchemaInfo >
| ISchema ()
virtual | ~ISchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
| ICompoundProperty ()
| ICompoundProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~ICompoundProperty ()
size_t | getNumProperties () const
| Returns the number of properties contained in this ICompoundProperty.
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::CompoundPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions

void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes

Abc::IP3fArrayProperty | m_positionsProperty
Abc::IUInt64ArrayProperty | m_idsProperty
Abc::IV3fArrayProperty | m_velocitiesProperty
IFloatGeomParam | m_widthsParam
Protected Attributes inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< PointsSchemaInfo >
Abc::IBox3dProperty | m_selfBoundsProperty
Abc::IBox3dProperty | m_childBoundsProperty
Abc::ICompoundProperty | m_arbGeomParams
Abc::ICompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
AbcA::CompoundPropertyReaderPtr | m_property

## Additional Inherited Members

Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< PointsSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getDefaultSchemaName ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | operator_bool_base_type

## Detailed Description

Definition at line 51 of file IPoints.h.

## Member Typedef Documentation

## this_type

typedef IPointsSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

Definition at line 98 of file IPoints.h.

## Constructor & Destructor Documentation

## IPointsSchema() [1/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::IPointsSchema | ( |  | ) |

inline

The default constructor creates an empty OPointsSchema ...

Definition at line 106 of file IPoints.h.

Referenced by IPointsSchema().

Here is the caller graph for this function:

## IPointsSchema() [2/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::IPointsSchema | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument() )

inline

This constructor creates a new points reader. The first argument is the parent ICompoundProperty, from which the error handler policy for is derived. The second argument is the name of the ICompoundProperty that contains this schemas properties. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

Definition at line 114 of file IPoints.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< PointsSchemaInfo >::IGeomBaseSchema(), and init().

Here is the call graph for this function:

## IPointsSchema() [3/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::IPointsSchema | ( | const ICompoundProperty | iProp,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument() )

inline

This constructor wraps an existing ICompoundProperty as the points reader, and the error handler policy is derived from it. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

Definition at line 128 of file IPoints.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< PointsSchemaInfo >::IGeomBaseSchema(), and init().

Here is the call graph for this function:

## IPointsSchema() [4/4]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::IPointsSchema | ( | const IPointsSchema & | iCopy | ) |

inline

Copy constructor.

Definition at line 137 of file IPoints.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< PointsSchemaInfo >::IGeomBaseSchema(), and IPointsSchema().

Here is the call graph for this function:

## Member Function Documentation

## ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | IPointsSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

References valid().

Here is the call graph for this function:

## get()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::get | ( | Sample & | oSample,
|  | const Abc::ISampleSelector & | iSS = Abc::ISampleSelector() ) const

inline

Definition at line 173 of file IPoints.h.

References ALEMBIC_ABC_SAFE_CALL_BEGIN, ALEMBIC_ABC_SAFE_CALL_END, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::m_ids, m_idsProperty, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::m_positions, m_positionsProperty, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::m_selfBounds, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< PointsSchemaInfo >::m_selfBoundsProperty, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::Sample::m_velocities, and m_velocitiesProperty.

Referenced by getValue().

Here is the caller graph for this function:

## getIdsProperty()

Abc::IUInt64ArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::getIdsProperty | ( |  | ) | const

inline

Definition at line 208 of file IPoints.h.

References m_idsProperty.

## getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::getNumSamples | ( |  | ) | const

inline

Default assignment operator used.

Return the number of samples contained in the property. This can be any number, including zero. This returns the number of samples that were written, independently of whether or not they were constant.

Definition at line 153 of file IPoints.h.

References m_idsProperty, and m_positionsProperty.

## getPositionsProperty()

Abc::IP3fArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::getPositionsProperty | ( |  | ) | const

inline

Definition at line 198 of file IPoints.h.

References m_positionsProperty.

## getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::getTimeSampling | ( |  | ) | const

inline

Time sampling Information.

Definition at line 163 of file IPoints.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >::getObject(), and m_positionsProperty.

Here is the call graph for this function:

## getValue()

Sample Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::getValue | ( | const Abc::ISampleSelector & | iSS = Abc::ISampleSelector() | ) | const

inline

Definition at line 191 of file IPoints.h.

References get().

Here is the call graph for this function:

## getVelocitiesProperty()

Abc::IV3fArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::getVelocitiesProperty | ( |  | ) | const

inline

Definition at line 203 of file IPoints.h.

References m_velocitiesProperty.

## getWidthsParam()

IFloatGeomParam Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::getWidthsParam | ( |  | ) | const

inline

Definition at line 213 of file IPoints.h.

References m_widthsParam.

## init()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::init | ( | const Abc::Argument & | iArg0,
|  | const Abc::Argument & | iArg1 )

protected

Referenced by IPointsSchema(), and IPointsSchema().

Here is the caller graph for this function:

## isConstant()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::isConstant | ( |  | ) | const

inline

Ask if we're constant - no change in value amongst samples, regardless of the time sampling.

Definition at line 159 of file IPoints.h.

References m_idsProperty, and m_positionsProperty.

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::reset | ( |  | ) |

inlinevirtual

Reset returns this function set to an empty, default state.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< PointsSchemaInfo >.

Definition at line 226 of file IPoints.h.

References m_idsProperty, m_positionsProperty, m_velocitiesProperty, m_widthsParam, and Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >::reset().

Here is the call graph for this function:

## valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::valid | ( |  | ) | const

inlinevirtual

Valid returns whether this function set is valid.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< PointsSchemaInfo >.

Definition at line 238 of file IPoints.h.

References m_idsProperty, m_positionsProperty, and Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >::valid().

Referenced by ALEMBIC_OVERRIDE_OPERATOR_BOOL().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## m_idsProperty

Abc::IUInt64ArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::m_idsProperty

protected

Definition at line 254 of file IPoints.h.

Referenced by get(), getIdsProperty(), getNumSamples(), isConstant(), reset(), and valid().

## m_positionsProperty

Abc::IP3fArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::m_positionsProperty

protected

Definition at line 253 of file IPoints.h.

Referenced by get(), getNumSamples(), getPositionsProperty(), getTimeSampling(), isConstant(), reset(), and valid().

## m_velocitiesProperty

Abc::IV3fArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::m_velocitiesProperty

protected

Definition at line 255 of file IPoints.h.

Referenced by get(), getVelocitiesProperty(), and reset().

## m_widthsParam

IFloatGeomParam Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema::m_widthsParam

protected

Definition at line 256 of file IPoints.h.

Referenced by getWidthsParam(), and reset().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/IPoints.h